package visualization.components;

import background.systemVariables.PointerVariable;

class PointerAdapterComponent extends PointerVariable {

	public PointerAdapterComponent(PointerVariable var) {
		super(var.name, var.type, var.expression, var.variableManager);
		this.pointer = var.pointer;
		this.active = var.isActive();
		}
	
	@Override
	public String getValue(String s) {
		if (this.pointer != null) {
			return this.expression + " => " + this.pointer.getValue("");
		} else {
			return "null";
		}
	}
}